#ifndef __AUDIO_H
#define __AUDIO_H

#ifdef __cplusplus
extern "C" {
#endif

typedef int (*read_func)(void *ptr, unsigned char *buffer, int length);

int init_audio(void);
void start_play(read_func rf, void *ptr);
void break_play(void);
void stop_audio(void);
int is_playing(void);

extern int channels, samplerate, bitdepth;
extern int sig, littleendian;

#ifdef __cplusplus
}
#endif

#endif
