#ifndef __NEON_H
#define __NEON_H


class Neon {
	public:
		Neon(int width, int height);
		~Neon(void);
		void init(void);
		void draw(unsigned int *buffer, int time);
	private:
		unsigned int *createPalette(void);
		int width, height;
		int xvar, yvar;
		unsigned int *sintable;
		unsigned int *disttable;
};

#endif
