#ifndef __CUBE_H
#define __CUBE_H

struct vector {
	float x,y,z;
};

class Cube {
	public:
		Cube(int width, int height, unsigned int c);
		~Cube(void);
		void init(void);
		void draw(unsigned int *buffer, int time, bool clear=true);
	private:
		void drawVertexLine(struct vector *v1, struct vector *v2, unsigned int *buffer);
		void getScreenCoord(struct vector *v, int *x, int *y);
		void drawLine(int x1, int y1, int x2, int y2, unsigned int *buffer);
		int width, height;
		unsigned int color;
		struct vector v[8];
		struct vector rotateVector;
		int lastTime;
};

#endif
