#include <windows.h>
#include "thread.h"
#include "audio.h"
#include "modplayer.h"

static DWORD thread(LPVOID param) {
	start_play(ModPlayer_read,param);
	stop_audio();
	ExitThread(0);
	return 0;
}

static DWORD threadId;
static HANDLE threadHandle;

void start_thread(ModPlayer *player) {
	threadHandle = CreateThread(NULL,0,(LPTHREAD_START_ROUTINE)thread,player,CREATE_SUSPENDED,&threadId);
	SetThreadPriority(threadHandle,THREAD_PRIORITY_HIGHEST);
	ResumeThread(threadHandle);
}

void join_thread(void) {
	DWORD exitCode;
	while (1) {
		GetExitCodeThread(threadHandle,&exitCode);
		if (exitCode!=STILL_ACTIVE) break;
		Sleep(5);
	}
}

void msleep(int msec) {
	Sleep(msec);
}

